pydo.vpcnatgateways.get()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.vpcnatgateways.get(id="70e1b58d-cdec-4e95-b3ee-2d4d95feff51")
Returns JSONRaises HttpResponseError

Description

To show information about an individual VPC NAT gateway, send a GET request to /v2/vpc_nat_gateways/{id}.

Parameters

id string required

The unique identifier of the VPC NAT gateway.

Response Example

Show Response Example
{
  "vpc_nat_gateway": {
    "id": "70e1b58d-cdec-4e95-b3ee-2d4d95feff51",
    "name": "test-vpc-nat-gateways",
    "type": "PUBLIC",
    "state": "ACTIVE",
    "region": "tor1",
    "size": 1,
    "vpcs": [
      {
        "vpc_uuid": "0eb1752f-807b-4562-a077-8018e13ab1fb",
        "gateway_ip": "10.118.0.35",
        "default_gateway": true
      }
    ],
    "egresses": {
      "public_gateways": [
        {
          "ipv4": "174.138.113.197"
        }
      ]
    },
    "udp_timeout_seconds": 30,
    "icmp_timeout_seconds": 30,
    "tcp_timeout_seconds": 30,
    "created_at": "2025-08-12T18:43:14Z",
    "updated_at": "2025-08-12T19:00:04Z"
  }
}

More Information

See /v2/vpc_nat_gateways/{id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.